﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

public class LTechScienceBase : ModuleScienceExperiment
{
   	private int resourceuse = 0;
    
    public static bool checkBoring(Vessel vessel, bool msg=false)
    {
        //print(vessel.Landed + ", " + vessel.landedAt + ", " + vessel.launchTime + ", " + vessel.situation + ", " + vessel.orbit.referenceBody.name);
        if ((vessel.orbit.referenceBody.name == "Kerbin") && (vessel.situation == Vessel.Situations.LANDED || vessel.situation == Vessel.Situations.PRELAUNCH || vessel.situation == Vessel.Situations.SPLASHED || vessel.altitude <= vessel.orbit.referenceBody.maxAtmosphereAltitude))
        {
            if(msg) ScreenMessages.PostScreenMessage("Too boring here. Go to space!", 6, ScreenMessageStyle.UPPER_CENTER);
            return true;
        }
        return false;
    }
    
    public PartResource getResource(string name)
    {
    	
        PartResourceList resourceList = this.part.Resources;
        return resourceList.list.Find(delegate(PartResource cur)
        {
            return (cur.resourceName == name);
        });
    }

    public int getResourceAmount(string name)
    {
        PartResource res = getResource(name);
        if (res == null)
            return 0;
        return (int)Math.Floor(res.amount);
    }
 
    //Some ease function i guess... whatever
    public bool LTSUseResources(string name, int amount)
    {
    	resourceuse = (int)part.RequestResource(name, amount);
    	if(resourceuse==amount)
    	{
    		return true;
    	}
    	part.RequestResource(name, -(resourceuse));
    	return false;
    }
}