﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

public class SkyLabExperiment : LTechScienceBase
{
    [KSPField]
    public string specialExperimentName;
    
    [KSPField]
    public string specialExperimentTitle;
     
    [KSPField(isPersistant = true)]
    public string lastexperiment = "";
    
    [KSPEvent(guiActive = true, guiName = "Study Model Rockets!")]
    public void MdlRkts()
    {
    	DoScienceThing("modelrockets", "Model Rockets" , "ModelRockets", 1, 20)  ; 
    }
    
    [KSPAction("Study Model Rockets!")]
    public void MdlRktsAction(KSPActionParam ap){ MdlRkts(); } 
    
    [KSPEvent(guiActive = true, guiName = "Study Micro Gravity!")]
    public void McrGrv()
    {
    	DoScienceThing("micrograv", "Micro Gravity" , "ClipBoards", 1, 10)  ; 
    }
    
    [KSPAction("Study Micro Gravity!")]
    public void McrGrvAction(KSPActionParam ap){ McrGrv(); } 
    
    public override void OnStart(StartState state)
    {
        base.OnStart(state);
        if (state == StartState.Editor) { return; }
        Events["DeployExperiment"].active = false;
        Events["DeployExperiment"].guiActive = false;
		Actions["DeployAction"].active = false;
        this.part.force_activate();
    }
    
    public void DoScienceThing(string name, string VisName , string resource, int amount, int science)
    {
        if (checkBoring(vessel, true)) return;
        if (LTSUseResources("Insight",science))
        {
        	if (LTSUseResources(resource,amount))
        	{
        		base.experiment.id = specialExperimentName+name;
				base.experiment.experimentTitle = specialExperimentTitle.Replace("#Exp#", VisName);
				base.experimentID = specialExperimentName+name; //This fix the overlapping?
	            base.DeployExperiment();
        	}
        	else
        	{
        		ScreenMessages.PostScreenMessage("Need: "+amount+" of "+resource+"!", 6, ScreenMessageStyle.UPPER_CENTER);	
        	}
        }
        else
        {
            ScreenMessages.PostScreenMessage("Need: "+science+" of Insight!", 6, ScreenMessageStyle.UPPER_CENTER);
        }   	
    }
    
    new public void DeployAction(KSPActionParam p)
    {
    	return;
    }
    
    new public void DeployExperiment()
    {
		return;
    }
}
